splitpoints_window.h File Reference
`#include "all_includes.h"`
Include dependency graph for splitpoints_window.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | { COL_CHECK = 0, COL_DESCRIPTION = 1, COL_MINUTES = 2, COL_SECONDS = 3, COL_HUNDR_SECS = 4, COL_NUMBER = 5, COL_PREVIEW = 6, COL_SPLIT_PREVIEW = 7, COL_TITLE = 8, COL_ARTIST = 9, COL_ALBUM = 10, COL_GENRE = 11, COL_YEAR = 12, COL_TRACK = 13, COL_COMMENT = 14, NUM_COLUMNS = 15 }

## Functions

void | add_row (gint checked, ui_state *ui)
void | add_splitpoint_from_player (GtkWidget *widget, ui_state *ui)
void | clear_current_description (ui_state *ui)
void | copy_filename_to_current_description (const gchar *fname, ui_state *ui)
void | create_detect_silence_and_add_splitpoints_window (GtkWidget *button, ui_state *ui)
GtkWidget * | create_splitpoints_frame (ui_state *ui)
void | create_trim_silence_window (GtkWidget *button, ui_state *ui)
gint | get_first_splitpoint_selected (gui_state *gui)
gchar * | get_splitpoint_name (gint index, ui_state *ui)
gint | get_splitpoint_time (gint this_splitpoint, ui_state *ui)
void | put_splitpoints_and_tags_in_mp3splt_state (splt_state *state, ui_state *ui)
void | remove_all_rows (GtkWidget *widget, ui_state *ui)
void | remove_splitpoint (gint index, gint stop_preview, ui_state *ui)
void | select_splitpoint (gint index, gui_state *gui)
void | update_hundr_secs_from_spinner (GtkWidget *widget, ui_state *ui)
void | update_minutes_from_spinner (GtkWidget *widget, ui_state *ui)
void | update_seconds_from_spinner (GtkWidget *widget, ui_state *ui)
void | update_splitpoint (gint index, Split_point new_point, ui_state *ui)
void | update_splitpoint_check (gint index, ui_state *ui)
void | update_splitpoint_from_time (gint index, gdouble time, ui_state *ui)

## Variables

enum { ... } | tree_columns

## Detailed Description

header of splitpoints_window.c

Definition in file splitpoints_window.h.

## Enumeration Type Documentation

anonymous enum

The enum telling which item is kept in which column of the splitpoint tree.

Definition at line 44 of file splitpoints_window.h.

## Function Documentation

void create_detect_silence_and_add_splitpoints_window | ( | GtkWidget * | button,
|  | ui_state * | ui
| ) |  |

event for clicking the 'detect silence and add splitpoints' button

Definition at line 1187 of file splitpoints_window.c.

References mp3splt_set_float_option(), mp3splt_set_int_option(), SPLT_OPT_PARAM_MIN_LENGTH, SPLT_OPT_PARAM_MIN_TRACK_LENGTH, SPLT_OPT_PARAM_NUMBER_TRACKS, SPLT_OPT_PARAM_OFFSET, SPLT_OPT_PARAM_REMOVE_SILENCE, and SPLT_OPT_PARAM_THRESHOLD.

Here is the call graph for this function:

GtkWidget* create_splitpoints_frame | ( | ui_state * | ui | ) |

creates the choose splitpoints frame

This frame contains the spinners, arrows, the tree, add, remove buttons

Definition at line 2108 of file splitpoints_window.c.

gint get_first_splitpoint_selected | ( | gui_state * | gui | ) |

Gets the number of the first splitpoint with selected "Keep" checkbox.

Definition at line 263 of file splitpoints_window.c.

Referenced by remove_splitpoint(), and update_splitpoint().

Here is the caller graph for this function:

gchar* get_splitpoint_name | ( | gint | index,
|  | ui_state * | ui
| ) |  |

returns the name of the splitpoint

result must be g_free'd after use

Definition at line 1496 of file splitpoints_window.c.

Referenced by check_update_down_progress_bar(), and update_splitpoint().

Here is the caller graph for this function:

gint get_splitpoint_time | ( | gint | this_splitpoint,
|  | ui_state * | ui
| ) |  |

returns a splitpoint from the table

Definition at line 1527 of file splitpoints_window.c.

Referenced by player_quick_preview().

Here is the caller graph for this function:

void put_splitpoints_and_tags_in_mp3splt_state | ( | splt_state * | state,
|  | ui_state * | ui
| ) |  |

puts the splitpoints into the state

Definition at line 2166 of file splitpoints_window.c.

References mp3splt_append_splitpoint(), mp3splt_append_tags(), mp3splt_point_new(), mp3splt_point_set_name(), mp3splt_point_set_type(), mp3splt_tags_new(), mp3splt_tags_set(), SPLT_SKIPPOINT, and SPLT_SPLITPOINT.

Here is the call graph for this function:

void remove_all_rows | ( | GtkWidget * | widget,
|  | ui_state * | ui
| ) |  |

removes all rows from the table

Definition at line 1363 of file splitpoints_window.c.

References cancel_quick_preview_all(), check_update_down_progress_bar(), and remove_status_message().

Referenced by update_splitpoints_from_mp3splt_state().

Here is the call graph for this function:

Here is the caller graph for this function:

void remove_splitpoint | ( | gint | index,
|  | gint | stop_preview,
|  | ui_state * | ui
| ) |  |

removes a splitpoint

Parameters

  index | Number of the split point
  stop_preview | means we stop preview if necessary

Definition at line 421 of file splitpoints_window.c.

References cancel_quick_preview_all(), check_update_down_progress_bar(), get_first_splitpoint_selected(), and remove_status_message().

Referenced by update_splitpoint().

Here is the call graph for this function:

Here is the caller graph for this function:

void select_splitpoint | ( | gint | index,
|  | gui_state * | gui
| ) |  |

selects a splitpoint

Definition at line 354 of file splitpoints_window.c.

References remove_status_message().

Here is the call graph for this function:

void update_hundr_secs_from_spinner | ( | GtkWidget * | widget,
|  | ui_state * | ui
| ) |  |

updates the hundredth of seconds for the spinner

Definition at line 122 of file splitpoints_window.c.

Referenced by update_splitpoints_from_mp3splt_state().

Here is the caller graph for this function:

void update_minutes_from_spinner | ( | GtkWidget * | widget,
|  | ui_state * | ui
| ) |  |

updates the minutes from the spinner

Definition at line 108 of file splitpoints_window.c.

Referenced by update_splitpoints_from_mp3splt_state().

Here is the caller graph for this function:

void update_seconds_from_spinner | ( | GtkWidget * | widget,
|  | ui_state * | ui
| ) |  |

updates the seconds from the spinner

Definition at line 115 of file splitpoints_window.c.

Referenced by update_splitpoints_from_mp3splt_state().

Here is the caller graph for this function:

void update_splitpoint | ( | gint | index,
|  | Split_point | new_point,
|  | ui_state * | ui
| ) |  |

Set all values of a split point.

Parameters

  new_point | All values for this split point
  index | The number of this split point

Will display an error in the message bar if a splitpoint with a different index number with exactly the same time value exists and otherwise update the split point.

Definition at line 690 of file splitpoints_window.c.

References get_first_splitpoint_selected(), get_splitpoint_name(), put_status_message(), remove_splitpoint(), SPLT_FALSE, and SPLT_TRUE.

Referenced by update_splitpoint_check(), and update_splitpoint_from_time().

Here is the call graph for this function:

Here is the caller graph for this function:

void update_splitpoint_check | ( | gint | index,
|  | ui_state * | ui
| ) |  |

Toggles a splitpoint's "Keep" flag.

Parameters

  index | is the position in the GArray with splitpoints aka the split point's number

Definition at line 783 of file splitpoints_window.c.

References update_splitpoint().

Here is the call graph for this function:

void update_splitpoint_from_time | ( | gint | index,
|  | gdouble | time,
|  | ui_state * | ui
| ) |  |

Set a splitpoint's time value.

Parameters

  index | The split point's number
  time | the new time value

Definition at line 768 of file splitpoints_window.c.

References get_hundr_secs_mins_time(), and update_splitpoint().

Here is the call graph for this function: